$(document).ready(function(){
    //кнопка показать еще для новостей
    $(document).on('click', '.news__btn--show-more', function(){
        $('.news__pagination').hide();

        var targetContainer = $('#page'),
            url =  $('.news__btn--show-more').attr('data-url');
        window.history.replaceState( null, null, url );

        if (url !== undefined) {
            $.ajax({
                type: 'GET',
                url: url,
                dataType: 'html',
                success: function(data){

                    $('.news__btn--show-more').remove();

                    var elements = $(data).find('.news__list'),
                        pagination = $(data).find('.news__btn--show-more');

                    targetContainer.append(elements);
                    $('#pag').append(pagination);

                }
            });
        } else  $('#pag').hide();

    });

    //кнопка показать еще для мероприятий
    $(document).on('click', '.events__btn--show-more', function(){
        $('.events__pagination').hide();

        var targetContainer = $('#page-events'),
            url =  $('.events__btn--show-more').attr('data-url');
        window.history.replaceState( null, null, url );

        if (url !== undefined) {
            $.ajax({
                type: 'GET',
                url: url,
                dataType: 'html',
                success: function(data){

                    $('.events__btn--show-more').remove();

                    var elements = $(data).find('.events__list'),
                        pagination = $(data).find('.events__btn--show-more');

                    targetContainer.append(elements);
                    $('#pag').append(pagination);

                }
            });
        } else  $('#pag').hide();

    });

    // хештеги
    $(document).on('click', '.hash-link', function(e) {
        e.preventDefault();
        $(".article-controls__item").each(function() {
            $(this).find('.article-controls__btn').removeClass('is-active');
        });
        $(this).find('.article-controls__btn').addClass('is-active');
        var targetContainer = $('#page'),
            url = "/about/news/" + $(this).attr('href');
        window.history.replaceState(null, null, url);
            $('#pag').fadeOut(300);
            $('.news-pag').fadeOut(300);
            $('.news__pagination').fadeOut(300);
            let name=$(this).data("name");
            $.each($('ul.news__list > li'), function(index, category) {
                if ($(this).data("hash")!=name){
                    $(this).hide(300);
                } else $(this).show(300);
            });



    });




    // онлайн/оффлайн
    $(document).on('click', '.line-link', function(e){
        e.preventDefault();
        $(".article-controls__item").each(function() {
            $(this).find('.article-controls__btn').removeClass('is-active');
        });
        $(this).find('.article-controls__btn').addClass('is-active');
        $('#pag').fadeOut(300);
             $('.events__pagination').fadeOut(300);


        var targetContainer = $('#pages'),
            url = "/about/events/"+$(this).attr('href');
        window.history.replaceState( null, null, url );

        if (url !== undefined) {
            targetContainer.find('.events-list').detach();

            $.ajax({
                type: 'GET',
                url: url,
                dataType: 'html',
                success: function(data){


                    var elements = $(data).find('.events-list');


                    targetContainer.append(elements);


                }
            });
        }

    });


    // поиск на мерприятих
    $('.search').on('input', function(e) {

        let text=$(this).val();
        console.log(text);
        if (text.length>2) {

            $(".article-controls__item").each(function () {
                $(this).find('.article-controls__btn').removeClass('is-active');
            });
            $(this).find('.article-controls__btn').addClass('is-active');
            $('#pag').hide();
            $('.events__pagination').hide();

            var targetContainer = $('#page'),
                url = "/about/events/?search="+text+"&clear_cache=Y#page";
            window.history.replaceState(null, null, url);

            if (url !== undefined) {
                targetContainer.find('.events-list').detach();
                $(this).parents("form").submit();

                $.ajax({
                    type: 'GET',
                    url: url,
                    dataType: 'html',
                    success: function (data) {


                        var elements = $(data).find('.events-list');


                        targetContainer.append(elements);


                    }
                });
            }
        }


    });

    //  копирование ссылки
    $(document).on("click", ".site-link", function() {
        $(this).next('.copy').detach();
        let text=$(this).data('link');
        conspole.log(text);
        let content=$(this).data('tippy-content');
        navigator.clipboard.writeText(text);
        $(this).append(content);
        setTimeout(function(){
            $(this).next('.copy').detach();
        }, 2000);
    });

    // отправка формы
    $(document).on("submit", "#event-form", function(e) {
       if ($(this).parent().hasClass('is-valid')){
           var data = $(this).serialize();
           $.ajax({
               url: '/local/ajax/event-form.php',
               method: 'post',
               data: data,
               success: function (data) {
                   console.log(data);
               }

           });

       }
    });


    // отправка формы
    $(document).on("submit", "#product-form", function(e) {
        if ($(this).parent().hasClass('is-valid')){
            var data = $(this).serialize();
            $.ajax({
                url: '/local/ajax/product-form.php',
                method: 'post',
                data: data,
                success: function (data) {
                    console.log(data);
                }

            });

        }
    });

    // подписка на новости
    $(document).on("submit", "#news-form", function(e) {
        if ($(this).parent().hasClass('is-valid')){
            var data = $(this).serialize();
            $.ajax({
                url: '/local/ajax/news-form.php',
                method: 'post',
                data: data,
                success: function (data) {
                    console.log(data);
                }

            });

        }
    });
});



